﻿using System.Collections.ObjectModel;
using System.Linq;

namespace ThinkGeo.Core
{
    public static class Extensions
    {
        public static Collection<RectangleShape> Clone(this Collection<RectangleShape> collectionToClone)
        {
            return new Collection<RectangleShape>(collectionToClone.Select(item => item.CloneDeep() as RectangleShape).ToList());
        }
    }
}
